fluency_steps {memnet} | R Documentation

## Verbal fluency step counter

### Description

Repeatedly generates verbal fluency data using one_fluency_steps and counts the number of steps required to produce `n` unique responses.

### Usage

    fluency_steps(adjlist, n, pjump = 0, type = 0L)

### Arguments

`adjlist` | a list containing row indices of nodes adjacent node to the ith node as created by get_adjlist.
`n` | integer vector specifying the numbers of production.
`pjump` | numeric specifying the probability of a jump.
`type` | integer controlling network start and jump nodes. For `type = 0` the process selects the start node and any jump nodes proportional to their degree. For `type = 1` the process selects a random node to serve both as the start node and the jump node. For `type = 2` the process selects the start and any jump nodes uniformly at random.

### Details

For details see one_fluency_steps.

### Value

List of character vectors containing the indices of the fluency productions. Indices refer to the row of the item in the original adjacency matrix. See get_adjlist.

### References

Wulff, D. U., Hills, T., & Mata, R. (2018, October 29). Structural differences in the semantic networks of younger and older adults. https://doi.org/10.31234/osf.io/s73dp

Goni, J., Martincorena, I., Corominas-Murtra, B., Arrondo, G., Ardanza- Trevijano, S., & Villoslada, P. (2010). Switcher-random-walks: A cognitive- inspired mechanism for network exploration. International Journal of Bifurcation and Chaos, 20(03), 913-922.

### Examples

    # generate watts strogatz graph
    network = grow_ws(n = 100, k = 10)

    # count number of steps needed to create sequence
    fluency_steps(get_adjlist(network), c(10, 10))

    # count number of steps needed to create sequence
    # with high jump probability
    fluency_steps(get_adjlist(network), c(10, 10), pjump = .5)

[Package memnet version 0.1.0 Index]